ChangeSet 1.1587.12.33, 2004/04/30 14:11:19-07:00, eike-hotplug@sf-tec.de

[PATCH] Compaq PCI Hotplug: use new style of module parameters

Convert Compaq PCI Hotplug driver to use the new style of module parameters.


 drivers/pci/hotplug/cpqphp.h      |    6 +-----
 drivers/pci/hotplug/cpqphp_core.c |    7 ++++---
 2 files changed, 5 insertions(+), 8 deletions(-)


diff -Nru a/drivers/pci/hotplug/cpqphp.h b/drivers/pci/hotplug/cpqphp.h
--- a/drivers/pci/hotplug/cpqphp.h	Mon May 17 17:02:27 2004
+++ b/drivers/pci/hotplug/cpqphp.h	Mon May 17 17:02:27 2004
@@ -33,11 +33,7 @@
 #include <asm/io.h>		/* for read? and write? functions */
 #include <linux/delay.h>	/* for delays */
 
-#if !defined(CONFIG_HOTPLUG_PCI_COMPAQ_MODULE)
-	#define MY_NAME	"cpqphp.o"
-#else
-	#define MY_NAME	THIS_MODULE->name
-#endif
+#define MY_NAME	"cpqphp"
 
 #define dbg(fmt, arg...) do { if (cpqhp_debug) printk(KERN_DEBUG "%s: " fmt , MY_NAME , ## arg); } while (0)
 #define err(format, arg...) printk(KERN_ERR "%s: " format , MY_NAME , ## arg)
diff -Nru a/drivers/pci/hotplug/cpqphp_core.c b/drivers/pci/hotplug/cpqphp_core.c
--- a/drivers/pci/hotplug/cpqphp_core.c	Mon May 17 17:02:27 2004
+++ b/drivers/pci/hotplug/cpqphp_core.c	Mon May 17 17:02:27 2004
@@ -31,6 +31,7 @@
 
 #include <linux/config.h>
 #include <linux/module.h>
+#include <linux/moduleparam.h>
 #include <linux/kernel.h>
 #include <linux/types.h>
 #include <linux/proc_fs.h>
@@ -57,7 +58,7 @@
 static void *smbios_table;
 static void *smbios_start;
 static void *cpqhp_rom_start;
-static u8 power_mode;
+static int power_mode;
 static int debug;
 
 #define DRIVER_VERSION	"0.9.7"
@@ -68,10 +69,10 @@
 MODULE_DESCRIPTION(DRIVER_DESC);
 MODULE_LICENSE("GPL");
 
-MODULE_PARM(power_mode, "b");
+module_param(power_mode, bool, 644);
 MODULE_PARM_DESC(power_mode, "Power mode enabled or not");
 
-MODULE_PARM(debug, "i");
+module_param(debug, bool, 644);
 MODULE_PARM_DESC(debug, "Debugging mode enabled or not");
 
 #define CPQHPC_MODULE_MINOR 208
